Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 590056 - Traceback if queue is deleted while changing device or driver
Traceback if queue is deleted while changing device or driver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:2c626799
:
Depends On: 581668
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 11:45 EDT by Tim Waugh
Modified: 2010-06-04 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-printer-1.2.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 581668
Environment:
Last Closed: 2010-06-04 14:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-05-07 11:45:00 EDT
Cloning for F-13 which is using system-config-printer-1.2.x.

+++ This bug was initially created as a clone of Bug #581668 +++

abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/share/system-config-printer/system-config-printer.py
component: system-config-printer
executable: /usr/share/system-config-printer/system-config-printer.py
kernel: 2.6.32.11-99.fc12.i686
package: system-config-printer-1.1.18-2.fc12
reason: system-config-printer.py:6791:on_btnNPApply_clicked:AttributeError: 'NoneType' object has no attribute 'name'
release: Fedora release 12 (Constantine)

backtrace
-----
system-config-printer.py:6791:on_btnNPApply_clicked:AttributeError: 'NoneType' object has no attribute 'name'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 6791, in on_btnNPApply_clicked
    name = self.mainapp.printer.name
AttributeError: 'NoneType' object has no attribute 'name'

Local variables in innermost frame:
widget: <gtk.Button object at 0x925b11c (GtkButton at 0x94356d8)>
self: <__main__.NewPrinterGUI instance at 0x924f9ec>

--- Additional comment from tomdeering7@gmail.com on 2010-04-12 18:10:26 EDT ---

Created an attachment (id=406096)
File: backtrace

--- Additional comment from twaugh@redhat.com on 2010-04-22 07:31:08 EDT ---

How to reproduce:

1. lpadmin -p foo -m drv:///sample.drv/generic.ppd
2. Start system-config-printer
3. Double-click on 'foo'
4. Click either of the 'Change...' buttons
5. Continue clicking 'Forward' until the button changes to 'Apply'
6. lpadmin -x foo
7. Click 'Apply'

Solution is to close the NewPrinterGUI window as well as the PrinterPropertiesDialog window if a queue is deleted.
Comment 1 Fedora Update System 2010-05-07 11:55:00 EDT
system-config-printer-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 2 Fedora Update System 2010-05-08 12:10:15 EDT
system-config-printer-1.2.2-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-1.fc13
Comment 3 Fedora Update System 2010-05-13 15:35:42 EDT
system-config-printer-1.2.2-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-2.fc13
Comment 4 Fedora Update System 2010-06-03 14:09:28 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/system-config-printer-1.2.2-4.fc13
Comment 5 Fedora Update System 2010-06-04 14:53:32 EDT
system-config-printer-1.2.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.